Subject: Re: bug#8364: 24.0.9999; PATCH: Fit to width/height/page for doc-view.el

From: sho nakatani <[email-masked]>
Date: Mon, 28 Mar 2011 23:56:14 +0900

HI Stefan,

> Good, thanks.  I'll still have to do it by hand, sadly, since I like to
> "fit the text" rather than "fit the page", i.e. I like to keep the
> margins outside of the viewable area.  A command to do that
> automatically would be really nifty.

Sad to say, I have no idea to realize such function, although I completely
agree with you.
Currently, the scale factor for enlarge/shrink is determined by the ratio of
the size of PNG image to the size of window. It is pretty difficult to specify
where 'margins' are from PNG image.

It might be possible if the scale factor is determined not from PNG image
but from PDF/PS. However, it is far difficult than current implementation.

Anyway, thank you so much for your advice.

-- 
Sho Nakatani <[email-masked]>